Blog  |  Contact Us
Welcome to the Seapine Software Community Forums. Because these forums are user-to-user based, Seapine technical support does not regularly read or reply to the posts in this forum. For problem reports, suggestions, or feature requests, please visit http://www.seapine.com/support.html.

Printer-friendly copy Email this topic to a friend
Top TestTrack Pro Linux/Unix Installation topic #45

Subject: "New installation won't run" Previous topic | Next topic
rgarabedianTue Dec-31-02 03:37 PM
Charter member
1 posts
Click to send email to this author Click to send private message to this authorClick to view this author's profileClick to add this author to your buddy list
"New installation won't run"


          

Red Hat Linux using libstdc++-2.96-81.

When I try to start:

/home/ttpro/ttserver: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot load shared object file: No such file or directory


Tried to set-up a link and restart:

ln -s /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so /usr/lib/libstdc++-libc6.1-1.so.2


/home/ttpro/ttserver: error while loading shared libraries: /home/ttpro/ttserver: undefined symbol: _t24__default_alloc_template2b1i0.free_list
< OK >


Am I missing something obvious? I don't need to revert to an older version of libstdc++- do I?

Thanks,

Rich

  

Printer-friendly copy | Reply | Reply with quote | Top

Replies to this topic

pburmaMon Apr-21-03 07:10 PM
Charter member
1250 posts
Click to send email to this author Click to send private message to this authorClick to view this author's profileClick to add this author to your buddy listClick to send message via AOL IMClick to send message via ICQ
#1. "RE: New installation won't run"
In response to Reply # 0


          

This issue you are seeing indicates non-compatible library file issue.

Linux requirements are documented in this PDF file: http://www.seapine.com/pub/product-info/linuxsupport.pdf

The error you are seeing is a C++ error from a libstdc++ file not compatible with the version of TestTrack you downloaded.

Resolutions are to install compatible lib files, or use the Mandrake download which was built for the type of lib files your probably using to generate that error message (see pdf for more detail).

}>Patrick Burma
Product Specialist
Seapine Software, Inc
support@seapine.com

---------------------------
Patrick Burma
Product Specialist
Seapine Software, Inc
support@seapine.com

  

Printer-friendly copy | Reply | Reply with quote | Top

SeapineDevFri Oct-28-05 02:24 PM
Charter member
400 posts
Click to view this author's profileClick to add this author to your buddy list
#2. "RE: New installation won't run"
In response to Reply # 0


          

TestTrack Pro 7.5 includes enhancements to the Linux installer. Previously Seapine provided multiple Linux installers, with each installer being focused on particular Linux distributions and versions. Starting in TestTrack Pro 7.5 (and Surround SCM 4.0), a single Linux installer can be used for all supported Linux distributions and versions.

The following knowledgebase article outlines the Linux distributions and versions that are supported for TestTrack Pro and Surround SCM...
http://www.seapine.com/kb/index.php?article=245

Sincerely,
Seapine Development

  

Printer-friendly copy | Reply | Reply with quote | Top

Top TestTrack Pro Linux/Unix Installation topic #45 Previous topic | Next topic
Powered by DCForum+ Version 1.27
Copyright 1997-2003 DCScripts.com
© 2014 Seapine Software, Inc., All rights reserved.